sc::SOTransformShell(3)

NAME
sc::SOTransformShell -

SOTransformShell maintains a list of AO functions contribute to an SO function in a particular SO shell.

SYNOPSIS

#include <sobasis.h>

  Public Member Functions
void add_func (int irrep, double coef, int aofunc, int sofunc)
Add another function to the transform.

  Public Attributes
int aoshell
The number of the AO shell from which these functions come.
int nfunc
The number of AO/SO function pairs contributing.
SOTransformFunction * func
The array of SOTransformFunction objects describing the transform.

Detailed Description

SOTransformShell maintains a list of AO functions contribute to an SO function in a particular SO shell. The information is stored in objects of type SOTransformFunction.

Author

Generated automatically by Doxygen for MPQC from the source code.